"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
/**
 * This hook allows for very easy focusing on an element through some other action on the page.
 */
const useSetFocus = () => {
    const htmlElementRef = react_1.useRef(null);
    const setFocus = () => {
        htmlElementRef.current && htmlElementRef.current.focus();
    };
    return [htmlElementRef, setFocus];
};
exports.default = useSetFocus;
